%define _without_test 1
%set_perl_req_method relaxed
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bio/AnnotatableI.pm) perl(Bio/Annotation/Collection.pm) perl(Bio/Annotation/DBLink.pm) perl(Bio/Annotation/SimpleValue.pm) perl(Bio/DescribableI.pm) perl(Bio/Factory/ObjectFactory.pm) perl(Bio/Factory/SequenceStreamI.pm) perl(Bio/IdentifiableI.pm) perl(Bio/Root/IO.pm) perl(Bio/Root/Root.pm) perl(Bio/Root/RootI.pm) perl(Bio/Root/Test.pm) perl(Bio/Seq/SeqFactory.pm) perl(Bio/Species.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/File.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Test/Mojibake.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Time/HiRes.pm) perl(XML/SAX.pm) perl(base.pm) perl(lib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Bio-Cluster
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.7.3
Release: alt1
Summary: BioPerl cluster modules
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Bio-Cluster

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CJ/CJFIELDS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Classes and modules here describe the basic structure for a cluster of  bioperl
objects.  For a more complete explanation, please see the interface module
the Bio::ClusterI manpage  or the Bio::ClusterI-based implementations for specific
examples.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE examples
%perl_vendor_privlib/B*

%changelog
* Sun Feb 17 2019 Igor Vlasenko <viy@altlinux.ru> 1.7.3-alt1
- initial import by package builder

